ID CVE-2021-21104
Summary Adobe Illustrator version 25.2 (and earlier) is affected by a memory corruption vulnerability when parsing a specially crafted file. An unauthenticated attacker could leverage this vulnerability to remote code execution in the context of the current user. Exploitation of this issue requires user interaction in that a victim must open a malicious file.
References
Vulnerable Configurations
  • cpe:2.3:a:adobe:illustrator:7.0:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:7.0:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:8.0:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:8.0:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:9.0:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:9.0:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:10.0:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:10.0:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:11.0:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:11.0:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:11.0.1:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:11.0.1:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:12.0.0:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:12.0.0:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:13.0:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:13.0:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:13.0.1:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:13.0.1:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:13.0.2:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:13.0.2:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:13.0.3:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:13.0.3:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:14.0:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:14.0:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:15.0:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:15.0:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:16.0.1:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:16.0.1:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:16.0.2:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:16.0.2:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:16.0.3:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:16.0.3:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:16.0.4:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:16.0.4:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:16.0.5:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:16.0.5:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:16.2.0:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:16.2.0:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:16.2.1:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:16.2.1:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:16.2.2:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:16.2.2:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:24.0.2:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:24.0.2:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:24.1.2:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:24.1.2:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:24.2:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:24.2:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:25.0:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:25.0:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:25.1:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:25.1:*:*:*:*:*:*:*
  • cpe:2.3:a:adobe:illustrator:25.2:*:*:*:*:*:*:*
    cpe:2.3:a:adobe:illustrator:25.2:*:*:*:*:*:*:*
  • cpe:2.3:o:microsoft:windows:-:*:*:*:*:*:*:*
    cpe:2.3:o:microsoft:windows:-:*:*:*:*:*:*:*
CVSS
Base: 9.3 (as of 14-09-2021 - 17:04)
Impact:
Exploitability:
CWE CWE-788
CAPEC
Access
VectorComplexityAuthentication
NETWORK MEDIUM NONE
Impact
ConfidentialityIntegrityAvailability
COMPLETE COMPLETE COMPLETE
cvss-vector via4 AV:N/AC:M/Au:N/C:C/I:C/A:C
Last major update 14-09-2021 - 17:04
Published 08-09-2021 - 17:15
Last modified 14-09-2021 - 17:04
Back to Top